CVE-2017-11724

MEDIUM

Description

The ReadMATImage function in coders/mat.c in ImageMagick through 6.9.9-3 and 7.x through 7.0.6-3 has memory leaks involving the quantum_info and clone_info data structures.

References

http://www.securityfocus.com/bid/104597

https://github.com/ImageMagick/ImageMagick/issues/624

https://security.gentoo.org/glsa/201711-07

Details

Source: MITRE

Published: 2017-07-29

Updated: 2019-10-03

Type: CWE-772

Risk Information

CVSS v2.0

Base Score: 4.3

Vector: AV:N/AC:M/Au:N/C:N/I:N/A:P

Impact Score: 2.9

Exploitability Score: 8.6

Severity: MEDIUM

CVSS v3.0

Base Score: 6.5

Vector: CVSS:3.0/AV:N/AC:L/PR:N/UI:R/S:U/C:N/I:N/A:H

Impact Score: 3.6

Exploitability Score: 2.8

Severity: MEDIUM

Vulnerable Software

Configuration 1

OR

cpe:2.3:a:imagemagick:imagemagick:6.9.9-3:*:*:*:*:*:*:*

cpe:2.3:a:imagemagick:imagemagick:7.0.1-0:*:*:*:*:*:*:*

cpe:2.3:a:imagemagick:imagemagick:7.0.1-1:*:*:*:*:*:*:*

cpe:2.3:a:imagemagick:imagemagick:7.0.1-2:*:*:*:*:*:*:*

cpe:2.3:a:imagemagick:imagemagick:7.0.1-3:*:*:*:*:*:*:*

cpe:2.3:a:imagemagick:imagemagick:7.0.1-4:*:*:*:*:*:*:*

cpe:2.3:a:imagemagick:imagemagick:7.0.1-5:*:*:*:*:*:*:*

cpe:2.3:a:imagemagick:imagemagick:7.0.1-6:*:*:*:*:*:*:*

cpe:2.3:a:imagemagick:imagemagick:7.0.1-7:*:*:*:*:*:*:*

cpe:2.3:a:imagemagick:imagemagick:7.0.1-8:*:*:*:*:*:*:*

cpe:2.3:a:imagemagick:imagemagick:7.0.1-10:*:*:*:*:*:*:*

cpe:2.3:a:imagemagick:imagemagick:7.0.2-0:*:*:*:*:*:*:*

cpe:2.3:a:imagemagick:imagemagick:7.0.2-1:*:*:*:*:*:*:*

cpe:2.3:a:imagemagick:imagemagick:7.0.2-2:*:*:*:*:*:*:*

cpe:2.3:a:imagemagick:imagemagick:7.0.2-4:*:*:*:*:*:*:*

cpe:2.3:a:imagemagick:imagemagick:7.0.2-5:*:*:*:*:*:*:*

cpe:2.3:a:imagemagick:imagemagick:7.0.2-6:*:*:*:*:*:*:*

cpe:2.3:a:imagemagick:imagemagick:7.0.2-7:*:*:*:*:*:*:*

cpe:2.3:a:imagemagick:imagemagick:7.0.2-8:*:*:*:*:*:*:*

cpe:2.3:a:imagemagick:imagemagick:7.0.2-9:*:*:*:*:*:*:*

cpe:2.3:a:imagemagick:imagemagick:7.0.2-10:*:*:*:*:*:*:*

cpe:2.3:a:imagemagick:imagemagick:7.0.3-0:*:*:*:*:*:*:*

cpe:2.3:a:imagemagick:imagemagick:7.0.3-1:*:*:*:*:*:*:*

cpe:2.3:a:imagemagick:imagemagick:7.0.3-3:*:*:*:*:*:*:*

cpe:2.3:a:imagemagick:imagemagick:7.0.3-4:*:*:*:*:*:*:*

cpe:2.3:a:imagemagick:imagemagick:7.0.3-5:*:*:*:*:*:*:*

cpe:2.3:a:imagemagick:imagemagick:7.0.3-6:*:*:*:*:*:*:*

cpe:2.3:a:imagemagick:imagemagick:7.0.3-8:*:*:*:*:*:*:*

cpe:2.3:a:imagemagick:imagemagick:7.0.3-9:*:*:*:*:*:*:*

cpe:2.3:a:imagemagick:imagemagick:7.0.3-10:*:*:*:*:*:*:*

cpe:2.3:a:imagemagick:imagemagick:7.0.4-0:*:*:*:*:*:*:*

cpe:2.3:a:imagemagick:imagemagick:7.0.4-2:*:*:*:*:*:*:*

cpe:2.3:a:imagemagick:imagemagick:7.0.4-3:*:*:*:*:*:*:*

cpe:2.3:a:imagemagick:imagemagick:7.0.4-4:*:*:*:*:*:*:*

cpe:2.3:a:imagemagick:imagemagick:7.0.4-5:*:*:*:*:*:*:*

cpe:2.3:a:imagemagick:imagemagick:7.0.4-7:*:*:*:*:*:*:*

cpe:2.3:a:imagemagick:imagemagick:7.0.4-8:*:*:*:*:*:*:*

cpe:2.3:a:imagemagick:imagemagick:7.0.4-9:*:*:*:*:*:*:*

cpe:2.3:a:imagemagick:imagemagick:7.0.4-10:*:*:*:*:*:*:*

cpe:2.3:a:imagemagick:imagemagick:7.0.5-0:*:*:*:*:*:*:*

cpe:2.3:a:imagemagick:imagemagick:7.0.5-1:*:*:*:*:*:*:*

cpe:2.3:a:imagemagick:imagemagick:7.0.5-2:*:*:*:*:*:*:*

cpe:2.3:a:imagemagick:imagemagick:7.0.5-3:*:*:*:*:*:*:*

cpe:2.3:a:imagemagick:imagemagick:7.0.5-4:*:*:*:*:*:*:*

cpe:2.3:a:imagemagick:imagemagick:7.0.5-5:*:*:*:*:*:*:*

cpe:2.3:a:imagemagick:imagemagick:7.0.5-6:*:*:*:*:*:*:*

cpe:2.3:a:imagemagick:imagemagick:7.0.5-7:*:*:*:*:*:*:*

cpe:2.3:a:imagemagick:imagemagick:7.0.5-8:*:*:*:*:*:*:*

cpe:2.3:a:imagemagick:imagemagick:7.0.5-9:*:*:*:*:*:*:*

cpe:2.3:a:imagemagick:imagemagick:7.0.5-10:*:*:*:*:*:*:*

cpe:2.3:a:imagemagick:imagemagick:7.0.6-0:*:*:*:*:*:*:*

cpe:2.3:a:imagemagick:imagemagick:7.0.6-1:*:*:*:*:*:*:*

cpe:2.3:a:imagemagick:imagemagick:7.0.6-2:*:*:*:*:*:*:*

cpe:2.3:a:imagemagick:imagemagick:7.0.6-3:*:*:*:*:*:*:*

Tenable Plugins

View all (7 total)

IDNameProductFamilySeverity
106221openSUSE Security Update : ImageMagick (openSUSE-2018-61)NessusSuSE Local Security Checks
high
106186SUSE SLES11 Security Update : ImageMagick (SUSE-SU-2018:0132-1)NessusSuSE Local Security Checks
high
106184SUSE SLED12 / SLES12 Security Update : ImageMagick (SUSE-SU-2018:0130-1)NessusSuSE Local Security Checks
high
104515GLSA-201711-07 : ImageMagick: Multiple vulnerabilitiesNessusGentoo Local Security Checks
high
103333Fedora 25 : 1:emacs / ImageMagick / WindowMaker / autotrace / converseen / etc (2017-3a568adb31)NessusFedora Local Security Checks
high
103314Fedora 26 : 1:emacs / ImageMagick / WindowMaker / autotrace / converseen / etc (2017-8f27031c8f)NessusFedora Local Security Checks
high
102889Debian DLA-1081-1 : imagemagick security updateNessusDebian Local Security Checks
high